[projects/cleanbuild] Enable keep container by default

glen glen at pld-linux.org
Tue Sep 28 17:27:18 CEST 2021


commit c31e256fba7700a7c2ca844e69fac0e728560b10
Author: Elan Ruusamäe <glen at pld-linux.org>
Date:   Tue Sep 28 18:18:30 2021 +0300

    Enable keep container by default

 bin/cleanbuild-docker.sh | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)
---
diff --git a/bin/cleanbuild-docker.sh b/bin/cleanbuild-docker.sh
index 624a48f..30bba1e 100755
--- a/bin/cleanbuild-docker.sh
+++ b/bin/cleanbuild-docker.sh
@@ -9,7 +9,7 @@ PROGRAM=${0##*/}
 : ${TRACING=false}
 : ${WITH=}
 : ${WITHOUT=}
-: ${KEEP_CONTAINER=false}
+: ${KEEP_CONTAINER=true}
 : ${TMPFS="4G"}
 
 dir=$(pwd)
@@ -169,7 +169,7 @@ package_build() {
 
 parse_options() {
 	local t
-	t=$(getopt -o 'x' --long 'network,no-tmpfs,notmpfs,tmpfs:,keep-container,with:,without:' -n "$PROGRAM" -- "$@")
+	t=$(getopt -o 'x' --long 'network,no-tmpfs,notmpfs,tmpfs:,keep-container:,with:,without:' -n "$PROGRAM" -- "$@")
 	[ $? != 0 ] && exit $?
 	eval set -- "$t"
 
@@ -189,7 +189,9 @@ parse_options() {
 			TMPFS="$1"
 			;;
 		--keep-container)
-			KEEP_CONTAINER=true
+			shift
+			[ "$1" = "true" -o "$1" = "false" ] || die "Invalid boolean value: $1"
+			KEEP_CONTAINER=$1
 			;;
 		--with)
 			shift
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/projects/cleanbuild.git/commitdiff/0d37247d5bdf546fa81cebcbdf9dc7479cddd2d1



More information about the pld-cvs-commit mailing list